Jump to content

All Activity

This stream auto-updates     

  1. Past hour
  2. tzframpton

    Increase in Autodesk software notification?

    Thanks Steven. That video states a 10% increase... that's something I could bear, but 33% is very drastic. Will have to shuffle around some expenses for sure. -TZ
  3. Silvercloak

    Cleaning a drawing

    I think you misunderstood. I'm trying to basically create a 2D Transmittal drawing by purging everything, auditing it, and turning it into a DXF. I noticed that no matter how much I audit one of our drawings it's never clean of errors. Which prevents me from turning it into a DXF. I opened a blank drawing and purged the heck out of it, audited it (as useless as THAT was) and attempted to DXFOUT it and that predictably failed. If even a blank drawing is corrupt, then there's obviously an issue. I attempted to use the DWT that comes with Civil3d and auditing is bringing up errors. Leading me to wonder if it's in fact the profile that my company is running our copies of civil3d under. I'm not sure. I'm just really concerned that there are objects still in the drawing after being purged and audited, and errors remain. I'm worried that somewhere down the line we're going to have a project that goes fubar because SOMETHING is causing some kind of drawing corruption here. Silvercloak
  4. You can apply the color blue directly to the circle?
  5. Today
  6. The watermark was removed for a while and reintroduced. Not sure which version(s), though.
  7. steven-g

    Increase in Autodesk software notification?

    I've not heard anything, but I did find this video if it helps.
  8. I have this, but how can I make a block of the circle in order to put the color blue? (setq R 10) (setq P1 (getpoint "center:" )) (command "circle" P1 R)
  9. saim

    hide below a block

    I raised HPGAPTOL to as high as 1 and nothing changed... must be something about island detection, but I can't figure out. About HPSTYLE, I could not find what it means. Perhaps you meant HPSCALE? If so, should I raise or lower it (since default is 1 and I have no idea what changing the scale does...)
  10. Has anyone else been notified by their reseller of an increase in their Autodesk licenses? I have 5 licenses of the AEC IC and was just informed of a 33% increase. It amounts to about $6,600 next year when I renew, which is a hefty hit for me. My inquiry is regarding if this is industry wide, or if I need to rethink of a new reseller next year. Thanks in advance!j -TZ
  11. Roy_043

    hide below a block

    Look at the HPSTYLE and HPGAPTOL settings.
  12. I check the About AutoCAD in the Help menu and it definitely is the Educational Version that was installed. Since she doesn't even know how to use AutoCAD we're just dropping the issue. I just wanted her to be careful with how and where she used this laptop.
  13. I suppose it is possible that someone saved-over the acad.dwt when using a student version, but we would need to see the file to see if it is just the file or something on your friends computer.
  14. saim

    hide below a block

    I was hoping to something more "click block1, click block2, voilà". I can't re-make every block, there is a whole bunch of them. The arc-to chords lisp helps... maybe I can work something out of it, using boundaries, but still there is some work to be done mannually*. Well, if I can work this out the way I'm thinking, this would be less work than trimming everything! I'll see what I can do and come back! If I manage to create something fancy, I'll post. Thanks, guys! * create a copy of the block, add a rectangle around it, use boundary between the rectangle and the block, delete everything but the boundary on the block, apply the arc-to chord and then, create the wipeout - writing it down, so I can try to automate it later Edit: Boundaries do help, but won't solve everything... here's the boundary autocad found for one of my blocks (block on the left, boundary on the right): Is there any easy way to fix this?
  15. Okay, so a friend of mine is using a laptop with the "STUDENT VERSION" of AutoCAD 2018. She was not the original owner of the laptop she is using so it was apparently setup by the previous owner. She doesn't even use AutoCAD so she's not much help in trying to find out why, when and where, etc... What I did notice that I was not aware of is that unlike previous encounters with the Educational Version of AutoCAD the prints made with it do not have the border with "EDUCATIONAL VERSION " all around it. Guess it must have been changed sometime in the past.
  16. ronjonp, Thanks for the hint! strange though, it worked fine for me as all lowercase. But with all things ACAD, ymmv, and this could be just the thing to get someone else out of a pickle
  17. Guess I should have read your post a bit closer. FWIW, you might want to force uppercase on your check of the old font file: (if (= (strcase (vla-get-fontfile stl)) (strcase old))) Will fail: (= "simplex.shx" "Simplex.shx")
  18. Hi RonJonP, Yes, lol, I'm aware this is an old post. Looks like the OP never posted anything else on CADtutor after not receiving an answer to his/her question. Makes it a bit less of a useless thread if it can help someone else out who may stumble on this, for posterity
  19. @T-Lo Do you realize that this question was asked over 4 years ago? Welcome to CadTutor!
  20. Let me clarify: typically when this situation occurs, it's because someone assigned the LTYPESHP.SHX file to a textstyle in your drawing. LTYPESHP.SHX is NOT a font file - it is a complex linetype file which ships standard with AutoCAD and unless you delete it from your hard drive, it can usually be found here (for AutoCAD 2020): C:\Users\<me>\AppData\Roaming\Autodesk\AutoCAD 2020\R23.1\enu\Support This means that the LTYPESHP.SHX linetype file does exist in your search path (i.e. it is not missing - therefore FONTALT doesn't work in this instance). But since someone assigned it to a textstyle, this prevents LTYPESHP.SHX from loading correctly when you try to load linetypes via the LTYPE command (hence, the errors that it "can't find" FENCLINE1, FENCELINE2, BATTING, etc. - which are the linetypes defined in LTYPESHP.SHX). Therefore, the fix is to find the offending textstyle(s) in your drawing which are using LTYPESHP.SHX as the font, and assign it to be a real font (e.g. romans.shx). The AKN article that the OP linked to, addresses this scenario exactly, and that is the scenario I also had, which my suggested solution fixed for me. The lisp routine automates redefining the font and the ScriptWriter utility allows you to create a script so you can batch process multiple drawing files with that lisp routine.
  21. FONTALT (System Variable) Specifies the alternate font to be used when the specified font file cannot be located.
  22. Hi I know this thread is super old, but I had the same situation and I solved it with a combination of this LISP from AKN (props to hmsilva): https://forums.autodesk.com/t5/visual-lisp-autolisp-and-general/need-custom-lisp-that-searches-for-specific-font-within-a-style/td-p/5654350 (vl-load-com) ;; To replace font file in a text style. ;; usage ;; (repl_font "ltypeshp.shx" "simplex.shx") (defun repl_font (old new /) (setq acdoc (vla-get-activedocument (vlax-get-acad-object)) stls (vla-get-textstyles acdoc) ) (if (or (setq file (findfile new)) (setq file (findfile (strcat (getenv "systemroot") "\\Fonts\\" new))) ) (vlax-for stl stls (if (= (vla-get-fontfile stl) old) (vla-put-fontfile stl file) ) ) ) ) (repl_font "ltypeshp.shx" "romans.shx") And then use Lee Mac's "ScriptWriter" to create a script that could be run on a whole folder of files: http://www.lee-mac.com/scriptwriter.html
  23. khama

    Text Changing color

    Well thats the thing with Micropoop, it is a strange animal that does strange things. Saying that if it is a text issue then there could be 5 to 6 different places and things that could be causing that. What I do first before anything is print it anyway and see what result you get. If it is not what you want then "Save Settings", "Compress" the entire file and restart Microstation. Create a new DGN with a known template. Go to the troubled file and copy entire contents to the freshly created DGN. Scale it up down whatever you need and see if the problem is gone. If that doesn't work then we have to look at the original file settings for text properties and see if your "scale locks" are active if so disable them. If the scale you are going to is not on the list, tick "custom" and enter the scales required. Try again. If that is not the problem, then look at the design file settings is set correctly and finally check the drawing scale settings and locks to make sure that the text node is not locked. Good luck!! I feel for you.
  24. Lee Mac

    Return the longest list in an association list

    Alternatively - (nth (car (vl-sort-i (mapcar 'length lst) '>)) lst) Though sorting to find an extremum is likely to be slower in general.
  25. khama

    Stretch Dims in Microstation

    Use the "Modify" command. Shortcut is 71 on the keypad, select the Dimension part you want to move and it will move. Example, if you select the dim line it will move only. If you choose the extension line it will only move. What ever you pick on that dimension will move only. This can be applied to lots of things including text.
  1. Load more activity
  • Newsletter

    Want to keep up to date with all our latest news and information?
    Sign Up
×
×
  • Create New...